Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.control
Class UserProfile

    java.lang.Object
      com.sun.mdm.index.edm.control.UserProfile

public class UserProfile
extends java.lang.Object

Constructor Summary
`UserProfile(java.lang.String userName, HttpServletRequest request)` Constructor

Method Summary
`java.lang.String[]` | `getOperations()` Retrieves all operations for the roles assigned to a UserProfile instance.
`java.lang.String[]` | `getRoles()` Retrieves all the roles assigned to a UserProfile instance
`java.lang.String` | `getUserName()` Returns the mUserName attribute for a UserProfile instance.
`boolean` | `isAllowed(java.lang.String operation)` Checks if an operation is allowed for a UserProfile instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserProfile

    public UserProfile(java.lang.String userName,
                       HttpServletRequest request)
                throws java.lang.Exception

  Constructor

  Parameters:
    `userName` - User name.
    `request` - HTTP request handle.
  Throws:
    `java.lang.Exception` - if an error is encountered

Method Detail

### getOperations

    public java.lang.String[] getOperations()

  Retrieves all operations for the roles assigned to a UserProfile instance.

  Returns:
    String array of all operations

### getRoles

    public java.lang.String[] getRoles()

  Retrieves all the roles assigned to a UserProfile instance

  Returns:
    String array of all the roles

### getUserName

    public java.lang.String getUserName()

  Returns the mUserName attribute for a UserProfile instance.

  Returns:
    the user name

### isAllowed

    public boolean isAllowed(java.lang.String operation)

  Checks if an operation is allowed for a UserProfile instance.

  Parameters:
    `operation` - This is the name of the operation.
  Returns:
    true if is allowed, false otherwise,

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.